Subject: Re: What's cooking in git.git (May 2025, #07; Fri, 23)

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 27 May 2025 10:15:11 +0200

On Fri, May 23, 2025 at 07:16:04PM -0700, Junio C Hamano wrote:
> * ps/midx-negative-packfile-cache (2025-05-20) 2 commits
>  - midx: stop repeatedly looking up nonexistent packfiles
>  - packfile: explain ordering of how we look up auxiliary pack files
> 
>  When a stale .midx file refers to .pack files that no longer exist,
>  we ended up checking for these non-existent files repeatedly, which
>  has been optimized by memoizing the non-existence.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I wanted to send one more iteration of this where I hide the ugliness of
`(void *)(intptr_t)-1` behind a macro, as suggested. But I saw that
Taylor has built on top of these patches, so I don't want to make his
life harder. Cc'd him.

> * ps/object-store (2025-05-14) 18 commits
>  - odb: rename `read_object_with_reference()`
>  - odb: rename `pretend_object_file()`
>  - odb: rename `has_object()`
>  - odb: rename `repo_read_object_file()`
>  - odb: rename `oid_object_info()`
>  - odb: trivial refactorings to get rid of `the_repository`
>  - odb: get rid of `the_repository` when handling submodule alternates
>  - odb: get rid of `the_repository` when handling the primary alternate
>  - odb: get rid of `the_repository` in `for_each()` functions
>  - odb: get rid of `the_repository` when handling alternates
>  - odb: get rid of `the_repository` in `odb_mkstemp()`
>  - odb: get rid of `the_repository` in `assert_oid_type()`
>  - odb: get rid of `the_repository` in `find_odb()`
>  - odb: introduce parent pointers
>  - object-store: rename files to "odb.{c,h}"
>  - object-store: rename `object_directory` to `odb_alternate`
>  - object-store: rename `raw_object_store` to `object_database`
>  - Merge branch 'ps/object-store-cleanup' into ps/object-store
> 
>  Code clean-up around object access API.
> 
>  Comments?
>  source: <[email-masked]>

I think the only outstanding discussion is whether to name things
`odb_alternate` or `odb_source` [1]. In case others agree that
`odb_source` is a better name I'm happy to revise, but if not I'd rather
keep it as-is.

Other than that I think the patch series is in a good shape.

Thanks!

Patrick

[1]: <tjsbotrnrffykmi3letktpb3bly4nqw4wxzyrszgbln7pznem4@3kwiq4zvaebw>